package com.loafle.overflow.module.email.dao;

import com.loafle.overflow.module.email.model.EmailAuth;
import com.loafle.overflow.module.member.model.Member;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by geek@loafle.com on 17. 6. 6.
 */
@Repository
public interface EmailAuthDAO extends JpaRepository<EmailAuth, Long> {
    @Query("select e from EmailAuth e where e.emailAuthKey = :authKey")
    EmailAuth findByEmailAuthKey(@Param("authKey") String emailAuthKey);

    List<EmailAuth> findByMember(Member member);

}

