package com.loafle.overflow.module.meta.dao;

import com.loafle.overflow.module.meta.model.MetaInfraType;
import com.loafle.overflow.module.meta.model.MetaInfraVendor;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface MetaInfraVendorDAO extends JpaRepository<MetaInfraVendor, Integer> {

    List<MetaInfraVendor> findAllByMetaInfraType(MetaInfraType infraType);
}
