package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaProbePackageDAO;
import com.loafle.overflow.module.meta.model.MetaProbeOs;
import com.loafle.overflow.module.meta.model.MetaProbePackage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaProbePackageService")
public class MetaProbePackageService {

    @Autowired
    private MetaProbePackageDAO probePackageDAO;

    public List<MetaProbePackage> readAllByOs(MetaProbeOs metaProbeOs) {
        return this.probePackageDAO.findAllByOs(metaProbeOs);
    }

}
